Package org.apache.lucene.analysis.compound

# Class CompoundWordTokenFilterBase.CompoundToken

java.lang.Object
org.apache.lucene.analysis.compound.CompoundWordTokenFilterBase.CompoundToken

Enclosing class:
  `CompoundWordTokenFilterBase`

protected class CompoundWordTokenFilterBase.CompoundToken extends Object
Helper class to hold decompounded token information

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `endOffset`
  `final int`
  `startOffset`
  `final CharSequence`
  `txt`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompoundToken(int offset, int length)`
  Construct the compound token based on a slice of the current `CompoundWordTokenFilterBase.termAtt`.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### txt

    public final CharSequence txt

  - ### startOffset

    public final int startOffset

  - ### endOffset

    public final int endOffset

- ## Constructor Details

  - ### CompoundToken

    public CompoundToken(int offset, int length)
    Construct the compound token based on a slice of the current `CompoundWordTokenFilterBase.termAtt`.